What the difference between Snow leopard and Mountain Lion?

What's the different features between the two? Are there any apps I cant download or anything i cant do with snow leopard that i can do with mountain lion

Follow this Question

1 Answer from the Community

  • Best Answer:

    Depends on what you use your Mac for.

    Look through your software and see if your software is compatible with Mountain Lion, or if software has relatively inexpensive upgrades to make it compatible. Check your printer and scanner software to see if drivers are available for Mountain Lion.

    When I upgrade to a new OS, I do so on a blank, separate hard drive partition. During the installation of the upgrade, the installer will search your Mac for partitions with older OS. If it finds it will ask if you want to import OS settings, applications and/or data from a partition with older OS. The advantage of installing on another partition is that you can then have a multi-boot Mac, and can start in Snow Leopard instead of Mountain Lion by pressing the OPTION key during start-up to switch OS partitions in order to work with any software or drivers that are not compatible with Mountain Lion.

    I have an expensive scanner with software that is very costly to upgrade in order to be compatible with Mountain Lion. So I keep Snow Leopard on a partition of my hard drive for purpose of doing scans.

    Microsoft Office 2004 will work in Snow Leopard but not in Mountain Lion. You need to upgrade to Office 2011.

    The latest versions of any software may not be fully compatible or may not work at all with Snow Leopard.

    Snow Leopard provided "rosetta" support in order to run software written for old non-Intel Macs. Rosetta support is no longer provided with Mountain Lion.

    Latest version of iTunes requires at least Mountain Lion (OS10.8.5). Do you need to sync with an iPhone? If so, which version of iTunes do you need to work with the iOS in the iPhone? Latest version of iTunes (12.3.1) will not work with Garageband 6.0.5 (from 2012). One needs to run iTunes 12.1.2 or earlier, or upgrade to more recent version of Garageband.

    And so it goes . . .

    Was this useful? Answer 1

    6 of 9 people found this useful

Similar Questions

See more Similar Questions